<!-- ============================================================== -->
<!-- Marina (23/08/2019)  Composición de las lineas de la tabla -->
<!-- ============================================================== -->
<?php

  // 01/09/2020 - J. Rueda - Gestión de borrado de un código promocional
  $borrarCodigoPromocional = Getter::get('borrarCodigoPromocional', NULL);
	if ($borrarCodigoPromocional  !== NULL){
    $codigo = Getter::get('codigo', NULL);
    CodigosPromocionales::removeCodigoPromocional($codigo);
    
    // Eliminalos visualmente la línea


    //Recargamos la página con mensaje de confirmación:
		//Sesion::reloadPage(Shop::$configuracion->url . Sections::$current_section);
  }
  
  // 04/09/2020 - J.Rueda - Cargamos el listado de escaparates
  $arrEscaparates = Escaparate::getListaEscaparates();

  $parametrosPlantilla = Theme::getLastParamList();
  $camposTabla = Theme::getLastParam('camposTabla');
  $filasTabla = Theme::getLastParam('filasTabla');

  foreach($filasTabla as $indiceFila => $fila){
?>
<tr>
    <?php
      foreach($camposTabla as $campo => $valor){
        if ($valor == 'activo') { ?>
          <td scope="row" class="activo">
            <button type="button" class="<?=($fila->$valor)? '' : 'hide';?> btn btn-success" onclick="
              var boton = $(this);
              var options = {id: '<?=$fila->codigo;?>', active: '0'};
              WS_data_update(
                'CodigosPromocionales',
                'activateCodigoPromocional',
                options,
                '',
                function(data){
                  
                  data = JSON.parse(data.response);
                  if (data.resultado == 1){
                    boton.closest('.activo').find('.btn-success').show();
                    boton.closest('.activo').find('.btn-warning').hide();
                  }else{
                    boton.closest('.activo').find('.btn-success').hide();
                    boton.closest('.activo').find('.btn-warning').show();
                  }
                }
              );
            "><i class="fas fa-check-circle"></i>
            </button>
            <button type="button" class="<?=(!$fila->$valor)? '' : 'hide';?> btn btn-warning" onclick="
              var boton = $(this);
              var options = {id: '<?=$fila->codigo;?>', active: '1'};
              WS_data_update(
                'CodigosPromocionales',
                'activateCodigoPromocional',
                options,
                '',
                function(data){

                  data = JSON.parse(data.response);
                  if (data.resultado == 1){
                    boton.closest('.activo').find('.btn-success').show();
                    boton.closest('.activo').find('.btn-warning').hide();
                  }else{
                    boton.closest('.activo').find('.btn-success').hide();
                    boton.closest('.activo').find('.btn-warning').show();
                  }
                }
              );
            "><i class="fas fa-exclamation-circle"></i>
            </button>
          </td>
        <?php } else if ($valor == 'fecha_alta') { 
            $datetime = new \DateTime($fila->$valor);
            $t = substr($datetime->format(\DateTime::ATOM),0,16);
          ?>
          <td>
            <span class="editable"><?= $fila->$valor ?></span>
            <input 
              type="datetime-local" 
              class="form-control hide" 
              name="fecha_alta"
              value="<?=$t;?>" 
              data-codigo="<?=$fila->codigo;?>"
              data-campo="<?=$valor;?>" 
              data-previo="<?=$t;?>" 
              />
          </td>
          <?php } else if ($valor == 'fecha_baja') { 
            $datetime = new \DateTime($fila->$valor);
            $t = substr($datetime->format(\DateTime::ATOM),0,16);
          ?>
          <td>
            <span class="editable"><?= $fila->$valor ?></span>
            <input 
              type="datetime-local" 
              class="form-control hide" 
              name="fecha_baja"
              value="<?=$t;?>" 
              data-codigo="<?=$fila->codigo;?>"
              data-campo="<?=$valor;?>" 
              data-previo="<?=$t;?>" 
              />
          </td>
        <?php } else if ($valor == 'escaparates') { ?>
          <td>             
            <?php
            if ($fila->$valor) { ?>
                <span class="editable"><?= $arrEscaparates[$fila->$valor] ?></span>
            <?php } else { ?>
              <span class="editable">Todos los escaparates</span>
            <?php } ?>

            <select 
              class="hide select2 form-control custom-select" 
              id="listEscaparate" 
              name="escaparates"
              value="<?=$fila->$valor;?>" 
              data-codigo="<?=$fila->codigo;?>"
              data-campo="<?=$valor;?>" 
              data-previo="<?=$fila->$valor;?>" 
              >

              <option value="" <?= $fila->$valor == '' ? 'selected' :''?> >Todos los escaparates</option>
                <?php
                foreach ($arrEscaparates as $codigo=>$valor) {
                  ?>
                  <option value="<?= $codigo ?>" <?= $fila->escaparates == $codigo ? 'selected' :''?>><?= $valor ?></option>
                  <?php
                }
                ?>

            </select>
          </td>
        <?php } else if ($valor == 'g_envio_gratis') { ?>
          <td>
            <input 
              type="checkbox" 
              name="g_envio_gratis" 
              class="switch" 
              alt="¿Envío gratis?"
              data-codigo="<?=$fila->codigo;?>"
              data-campo="<?=$valor;?>" 
              data-previo="<?=$fila->$valor;?>" 
              <?=($fila->$valor) ? ' checked' : ''?>
            />
          </td>
        <?php } else if ($valor == 'descuento') { ?>
          <td>
            <span class="editable descuento"><?=$fila->$valor;?></span>
            <input 
              class="hide" 
              type="text" 
              value="<?=$fila->$valor;?>" 
              data-codigo="<?=$fila->codigo;?>"
              data-campo="<?=$valor;?>" 
              data-previo="<?=$fila->$valor;?>" 
            />
          </td>
        <?php } else { ?>
          <td>
            <span class="editable"><?=$fila->$valor;?></span>
            <input 
              class="hide" 
              type="text" 
              value="<?=$fila->$valor;?>" 
              data-codigo="<?=$fila->codigo;?>"
              data-campo="<?=$valor;?>" 
              data-previo="<?=$fila->$valor;?>" 
            />
          </td>
      <?php } ?>
    <?php
      }
    ?>
    <td>
        <span class="acciones_lista">
            <form method="post" class="formBorrarCodigoPromocional"
                action="<?=Shop::$configuracion->url . Sections::$current_section;?>">
                <button type="submit" class="btn btn-danger btnBorrar"
                    title="<?=traducir('Borrar código promocional');?>"><i class="mdi mdi-delete"></i></button>
                <input type="hidden" name="borrarCodigoPromocional" value="<?=$fila->codigo;?>" />
                <input type="hidden" name="codigo" value="<?=$fila->codigo;?>" />
            </form>
        </span>
    </td>
</tr>

<?php
  }
?>